Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.dto
Class PositionInfo

    java.lang.Object
      org.teleal.cling.support.avtransport.dto.PositionInfo

    public class PositionInfo

extends Object

Constructor Summary
`PositionInfo()`
`PositionInfo(long track, String trackMetaData, String trackURI)`
`PositionInfo(long track, String trackDuration, String trackURI, String relTime, String absTime)`
`PositionInfo(long track, String trackDuration, String trackMetaData, String trackURI, String relTime, String absTime, int relCount, int absCount)`
`PositionInfo(Map<String,org.teleal.cling.model.action.ActionArgumentValue> args)`
`PositionInfo(PositionInfo copy, long relTimeSeconds, long absTimeSeconds)`
`PositionInfo(PositionInfo copy, String relTime, String absTime)`

Method Summary
`int` | `getAbsCount()`
`String` | `getAbsTime()`
`int` | `getElapsedPercent()`
`int` | `getRelCount()`
`String` | `getRelTime()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getTrack()`
`String` | `getTrackDuration()`
`long` | `getTrackDurationSeconds()`
`long` | `getTrackElapsedSeconds()`
`String` | `getTrackMetaData()`
`long` | `getTrackRemainingSeconds()`
`String` | `getTrackURI()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PositionInfo

    public PositionInfo()

### PositionInfo

    public PositionInfo(Map<String,org.teleal.cling.model.action.ActionArgumentValue> args)

### PositionInfo

    public PositionInfo(PositionInfo copy,
                        String relTime,
                        String absTime)

### PositionInfo

    public PositionInfo(PositionInfo copy,
                        long relTimeSeconds,
                        long absTimeSeconds)

### PositionInfo

    public PositionInfo(long track,
                        String trackDuration,
                        String trackURI,
                        String relTime,
                        String absTime)

### PositionInfo

    public PositionInfo(long track,
                        String trackDuration,
                        String trackMetaData,
                        String trackURI,
                        String relTime,
                        String absTime,
                        int relCount,
                        int absCount)

### PositionInfo

    public PositionInfo(long track,
                        String trackMetaData,
                        String trackURI)

Method Detail

### getTrack

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getTrack()

### getTrackDuration

    public String getTrackDuration()

### getTrackMetaData

    public String getTrackMetaData()

### getTrackURI

    public String getTrackURI()

### getRelTime

    public String getRelTime()

### getAbsTime

    public String getAbsTime()

### getRelCount

    public int getRelCount()

### getAbsCount

    public int getAbsCount()

### getTrackDurationSeconds

    public long getTrackDurationSeconds()

### getTrackElapsedSeconds

    public long getTrackElapsedSeconds()

### getTrackRemainingSeconds

    public long getTrackRemainingSeconds()

### getElapsedPercent

    public int getElapsedPercent()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.